package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TdIndentureMapper;
import com.ruoyi.system.domain.TdIndenture;
import com.ruoyi.system.service.ITdIndentureService;
import com.ruoyi.common.core.text.Convert;

/**
 * 维修商Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-04-08
 */
@Service
public class TdIndentureServiceImpl implements ITdIndentureService 
{
    @Autowired
    private TdIndentureMapper tdIndentureMapper;

    /**
     * 查询维修商
     * 
     * @param indentureId 维修商主键
     * @return 维修商
     */
    @Override
    public TdIndenture selectTdIndentureByIndentureId(String indentureId)
    {
        return tdIndentureMapper.selectTdIndentureByIndentureId(indentureId);
    }

    /**
     * 查询维修商列表
     * 
     * @param tdIndenture 维修商
     * @return 维修商
     */
    @Override
    public List<TdIndenture> selectTdIndentureList(TdIndenture tdIndenture)
    {
        return tdIndentureMapper.selectTdIndentureList(tdIndenture);
    }

    /**
     * 新增维修商
     * 
     * @param tdIndenture 维修商
     * @return 结果
     */
    @Override
    public int insertTdIndenture(TdIndenture tdIndenture)
    {
        return tdIndentureMapper.insertTdIndenture(tdIndenture);
    }

    /**
     * 修改维修商
     * 
     * @param tdIndenture 维修商
     * @return 结果
     */
    @Override
    public int updateTdIndenture(TdIndenture tdIndenture)
    {
        return tdIndentureMapper.updateTdIndenture(tdIndenture);
    }

    /**
     * 批量删除维修商
     * 
     * @param indentureIds 需要删除的维修商主键
     * @return 结果
     */
    @Override
    public int deleteTdIndentureByIndentureIds(String indentureIds)
    {
        return tdIndentureMapper.deleteTdIndentureByIndentureIds(Convert.toStrArray(indentureIds));
    }

    /**
     * 删除维修商信息
     * 
     * @param indentureId 维修商主键
     * @return 结果
     */
    @Override
    public int deleteTdIndentureByIndentureId(String indentureId)
    {
        return tdIndentureMapper.deleteTdIndentureByIndentureId(indentureId);
    }
}
